<?php
/**
 * Abstract base class for HTML_QuickForm2_Renderer plugin classes
 *
 * PHP version 5
 *
 * LICENSE
 *
 * This source file is subject to BSD 3-Clause License that is bundled
 * with this package in the file LICENSE and available at the URL
 * https://raw.githubusercontent.com/pear/HTML_QuickForm2/trunk/docs/LICENSE
 *
 * @category  HTML
 * @package   HTML_QuickForm2
 * @author    Alexey Borzov <avb@php.net>
 * @author    Bertrand Mansion <golgote@mamasam.com>
 * @copyright 2006-2022 Alexey Borzov <avb@php.net>, Bertrand Mansion <golgote@mamasam.com>
 * @license   https://opensource.org/licenses/BSD-3-Clause BSD 3-Clause License
 * @link      https://pear.php.net/package/HTML_QuickForm2
 */

/**
 * Abstract base class for HTML_QuickForm2_Renderer plugin classes
 *
 * @category HTML
 * @package  HTML_QuickForm2
 * @author   Alexey Borzov <avb@php.net>
 * @author   Bertrand Mansion <golgote@mamasam.com>
 * @license  https://opensource.org/licenses/BSD-3-Clause BSD 3-Clause License
 * @version  Release: 2.3.1
 * @link     https://pear.php.net/package/HTML_QuickForm2
 */
abstract class HTML_QuickForm2_Renderer_Plugin
{
   /**
    * The renderer instance this plugin is enhancing
    * @var HTML_QuickForm2_Renderer
    */
    protected $renderer;

   /**
    * Sets the base renderer this plugin is enhancing
    *
    * @param HTML_QuickForm2_Renderer $renderer base renderer
    */
    public function setRenderer(HTML_QuickForm2_Renderer $renderer)
    {
        $this->renderer = $renderer;
    }
}
?>
